PicketLink up to 2.6.x Service Provider/Identity Provider destination code

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.2$0-$5k0.00

A vulnerability classified as critical has been found in PicketLink up to 2.6.x. This affects some unknown processing of the component Service Provider/Identity Provider. The manipulation of the argument destination with an unknown input leads to a code vulnerability. CWE is classifying the issue as CWE-17. This is going to have an impact on confidentiality, integrity, and availability. The summary by CVE is:

The (1) Service Provider (SP) and (2) Identity Provider (IdP) in PicketLink before 2.7.0 does not ensure that the Destination attribute in a Response element in a SAML assertion matches the location from which the message was received, which allows remote attackers to have unspecified impact via unknown vectors. NOTE: this identifier was SPLIT from CVE-2015-0277 per ADT2 due to different vulnerability types.

The weakness was published 08/17/2015 (Website). The advisory is shared at issues.jboss.org. This vulnerability is uniquely identified as CVE-2015-6254 since 08/17/2015. It is possible to initiate the attack remotely. Required for exploitation is a authentication. Technical details are known, but no exploit is available.

The vulnerability scanner Nessus provides a plugin with the ID 82895 (RHEL 5 : JBoss EAP (RHSA-2015:0846)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Red Hat Local Security Checks and running in the context l.

Upgrading to version 2.7.0 eliminates this vulnerability. A possible mitigation has been published even before and not after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (82895).

Productinfo

Name

Version

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 7.5
VulDB Meta Temp Score: 7.2

VulDB Base Score: 7.5
VulDB Temp Score: 7.2
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Code
CWE: CWE-17
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 82895
Nessus Name: RHEL 5 : JBoss EAP (RHSA-2015:0846)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: PicketLink 2.7.0

Timelineinfo

04/16/2015 🔍
04/20/2015 +4 days 🔍
04/20/2015 +0 days 🔍
08/17/2015 +119 days 🔍
08/17/2015 +0 days 🔍
08/17/2015 +0 days 🔍
08/18/2015 +1 days 🔍
11/02/2015 +76 days 🔍
06/12/2022 +2414 days 🔍

Sourcesinfo

Advisory: RHSA-2015:0846
Status: Not defined
Confirmation: 🔍

CVE: CVE-2015-6254 (🔍)
Vulnerability Center: 54105 - RedHat JBoss Enterprise Application Platform Remote Unspecified Vulnerability in PicketLink, Medium
SecurityFocus: 74265

Entryinfo

Created: 08/18/2015 06:01 PM
Updated: 06/12/2022 01:22 PM
Changes: 08/18/2015 06:01 PM (54), 03/10/2018 10:45 AM (12), 06/12/2022 01:22 PM (3)
Complete: 🔍
Cache ID: 34:EF8:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!